Bug 677787 - Script for browser configuration doesn't work in firefox 4.0 beta11
Script for browser configuration doesn't work in firefox 4.0 beta11
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-client (Show other bugs)
2.0
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-15 15:45 EST by Dmitry Guryanov
Modified: 2015-01-04 18:46 EST (History)
3 users (show)

See Also:
Fixed In Version: freeipa-2.1.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:27:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Guryanov 2011-02-15 15:45:22 EST
Description of problem:
I've started firefox first time and try to login to freeipa web ui. It showd a message "You kerberos ticket is not valid ...", i've clicked link 'follow this directions', imported certificate successfully and got to page with button "Configure Firefox". I've clicked it and got error message "Unable to store preferences: TypeError: navigator.preference is not a function"


Version-Release number of selected component (if applicable):
freeipa-admintools-2.0.0.rc1-0.fc15.x86_64
freeipa-client-2.0.0.rc1-0.fc15.x86_64
freeipa-server-2.0.0.rc1-0.fc15.x86_64
firefox-4.0-0.16.b11.fc15.x86_64
freeipa-python-2.0.0.rc1-0.fc15.x86_64
freeipa-server-selinux-2.0.0.rc1-0.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1.install freeipa and configre freeipa server
2.run firefox and go to http://localhost
3.click at the link 'follow this directions' and follow the instructions ...
  
Actual results:
Firefox configuration script doesn't work

Expected results:
firefox correctly configred for using freeipa web ui

Additional info:
Comment 1 Rob Crittenden 2011-02-15 17:46:01 EST
https://fedorahosted.org/freeipa/ticket/975
Comment 2 Rob Crittenden 2011-02-17 21:45:20 EST
master: dbc268d96419b2f56b82f518496f3597c4afbc07

Note You need to log in before you can comment on or make changes to this bug.